<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title *ngIf="sale.cancelled" color="danger">VOID</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>    
  <ion-item>      
    <ion-label color="medium">
      <h2>Receipt #</h2>
    </ion-label>
    <p slot="end">{{sale.salesDate | date:'yyyyMMddhhmmss'}}</p>
  </ion-item>
  <ion-item>
    <ion-label color="medium">
      <h2>Date</h2>
    </ion-label>
    <p slot="end">{{sale.salesDate | date:'MMM dd, yyyy'}}</p>
  </ion-item>
  <ion-item>
    <ion-label color="medium">
      <h2>Total</h2>
    </ion-label>
    <p slot="end">{{sale.total | currency: ' '}}</p>
  </ion-item>
  <ion-item>
    <ion-label color="medium">
      <h2>Discount</h2>
    </ion-label>
    <p slot="end">{{sale.discount | currency: ' '}}</p>
  </ion-item>
  <ion-item>
    <ion-label color="medium">
      <h2>Net</h2>
    </ion-label>
    <p slot="end">{{sale.net | currency: ' '}}</p>
  </ion-item>
  <ion-item-divider color="light">
    <ion-label>
      <h2>Items</h2>
    </ion-label>
  </ion-item-divider>
  <ion-list>
    <ion-item *ngFor="let item of saleItems">      
      <ion-label>
        <h2>{{item.name}}</h2>
        <p>@{{item.price | currency:' '}} x {{item.quantity}}</p>
      </ion-label>
      <p slot="end">{{item.amount | currency:' '}}</p>
    </ion-item>
  </ion-list>
</ion-content>

<ion-footer *ngIf="!sale.cancelled">
  <ion-button shape="round" expand="full" mode="ios" color="danger" (click)="void()">Void Receipt</ion-button>
</ion-footer>